@vue/cli@3.11.0脚手架生成vue项目版本问题

Charlotte0924
  • 182

小白问题,请大神帮忙解答下,感谢!
image.png
使用vue3.11.0版本的脚手架搭建好项目以后,发现在package.json文件里,vue的版本是2.6.11
image.png

这样正常吗?难道vue3脚手架搭建的项目vue版本不应该是3.x的版本吗?

回复
阅读 2k
2 个回答

vue-cli是基于vue搭建的集成基础服务。vue-cli2和vue-cli3是基于vue2的版本,最高只能到2.6.11。(目前vue2的最高版本就是2.6.11)。
vue-cli4是基于vue2和vue3搭建的集成基础服务(简称脚手架),它所依赖的vue版本是你本地的vue环境。vue2和vue3使用npm安装的时候是不同的,也就是说你本地升级到了vue3.0以上版本之后,是同时存在vue2和vue3的环境的。同理vue-cli4创建的时候就可以使用你本地的vue环境创建不同的vue项目。
vue-cli4创建项目使用vue create project(项目名称)
之后就会出现关于vue2或者vue3的选择。
image
选择vue2创建项目就会使用本地vue2版本创建项目,如果此时你本地是vue2.6.11,那么创建的项目的vue版本就是2.6.11。
vue-cli3创建的项目还是vue2版本的项目,
vue-cli4才可以创建vue3的项目。

image
你对版本号是不是有什么误解,它仅代表本身项目的意义,并不关联其他,cli和vue本质上是两个项目,为什么要强绑定版本关系,虽然这样的确会减少心智负担

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏